## org.apache.lucene.search
Class QueryFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.CachingWrapperFilter
              org.apache.lucene.search.QueryFilter

All Implemented Interfaces:
  java.io.Serializable

Deprecated. use a CachingWrapperFilter with QueryWrapperFilter

    public class QueryFilter

extends CachingWrapperFilter

Constrains search results to only match those which also match a provided query. Results are cached, so that searches after the first on the same index using this filter are much faster.

Version:
  $Id: QueryFilter.java 528298 2007-04-13 00:59:28Z hossman $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.CachingWrapperFilter
`CachingWrapperFilter.DeletesMode`

Field Summary

Fields inherited from class org.apache.lucene.search.CachingWrapperFilter
`cache, filter`

Constructor Summary
`QueryFilter(Query query)` Deprecated. Constructs a filter which only matches documents matching `query`.

Method Summary
`boolean` `equals(java.lang.Object o)` Deprecated.
`int` `hashCode()` Deprecated.

Methods inherited from class org.apache.lucene.search.CachingWrapperFilter
`bits, docIdSetToCache, getDocIdSet, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryFilter

    public QueryFilter(Query query)

  Deprecated.
  Constructs a filter which only matches documents matching `query`.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Deprecated.
  Overrides:
    `equals` in class `CachingWrapperFilter`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `CachingWrapperFilter`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.